play.mvc

## Class Scope.Params

- java.lang.Object
- - play.mvc.Scope.Params

Enclosing class:
  Scope

    public static class Scope.Params
    extends java.lang.Object

HTTP params

### Field Summary

Fields
`static java.lang.ThreadLocal<Scope.Params>` `current`
`java.util.Map<java.lang.String,java.lang.String[]>` `data`

### Constructor Summary

Constructors
Constructor and Description
`Params()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `_contains(java.lang.String key)`
`java.util.Map<java.lang.String,java.lang.String[]>` `all()`
`java.util.Map<java.lang.String,java.lang.String>` `allSimple()`
`void` `checkAndParse()`
`static Scope.Params` `current()`
`void` `flash(java.lang.String... params)`
`<T> T` `get(java.lang.annotation.Annotation[] annotations, java.lang.String key, java.lang.Class<T> type)`
`java.lang.String` `get(java.lang.String key)`
`<T> T` `get(java.lang.String key, java.lang.Class<T> type)`
`java.lang.String[]` `getAll(java.lang.String key)`
`RootParamNode` `getRootParamNode()`
`RootParamNode` `getRootParamNodeFromRequest()`
`void` `put(java.lang.String key, java.lang.String value)`
`void` `put(java.lang.String key, java.lang.String[] values)`
`void` `remove(java.lang.String key)`
`void` `removeStartWith(java.lang.String prefix)`
`java.util.Map<java.lang.String,java.lang.String[]>` `sub(java.lang.String prefix)`
`java.lang.String` `toString()`
`java.lang.String` `urlEncode()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### current

    public static final java.lang.ThreadLocal<Scope.Params> current

#### data

    public java.util.Map<java.lang.String,java.lang.String[]> data

### Constructor Detail

#### Params

    public Params()

### Method Detail

#### current

    public static Scope.Params current()

#### getRootParamNode

    public RootParamNode getRootParamNode()

#### getRootParamNodeFromRequest

    public RootParamNode getRootParamNodeFromRequest()

#### checkAndParse

    public void checkAndParse()

#### put

    public void put(java.lang.String key,
                    java.lang.String value)

#### put

    public void put(java.lang.String key,
                    java.lang.String[] values)

#### remove

    public void remove(java.lang.String key)

#### removeStartWith

    public void removeStartWith(java.lang.String prefix)

#### get

    public java.lang.String get(java.lang.String key)

#### get

    public <T> T get(java.lang.String key,
                     java.lang.Class<T> type)

#### get

    public <T> T get(java.lang.annotation.Annotation[] annotations,
                     java.lang.String key,
                     java.lang.Class<T> type)

#### _contains

    public boolean _contains(java.lang.String key)

#### getAll

    public java.lang.String[] getAll(java.lang.String key)

#### all

    public java.util.Map<java.lang.String,java.lang.String[]> all()

#### sub

    public java.util.Map<java.lang.String,java.lang.String[]> sub(java.lang.String prefix)

#### allSimple

    public java.util.Map<java.lang.String,java.lang.String> allSimple()

#### urlEncode

    public java.lang.String urlEncode()

#### flash

    public void flash(java.lang.String... params)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`